CREATE TABLE IF NOT EXISTS benutzer_gruppen (
    benutzer_id UUID NOT NULL,
    gruppe_id UUID NOT NULL,

    CONSTRAINT pk_benutzer_gruppen PRIMARY KEY (benutzer_id, gruppe_id),

    CONSTRAINT fk_benutzer_gruppen_benutzer FOREIGN KEY (benutzer_id)
    REFERENCES benutzer (id) MATCH SIMPLE
    ON UPDATE CASCADE
    ON DELETE CASCADE,

    CONSTRAINT fk_benutzer_gruppen_gruppe FOREIGN KEY (gruppe_id)
    REFERENCES gruppen (id) MATCH SIMPLE
    ON UPDATE CASCADE
    ON DELETE CASCADE
)
