pub mod benutzer;
pub mod hersteller;
pub mod modell;
pub mod rolle;
pub mod typ;

use async_graphql::MergedObject;

#[derive(MergedObject, Default)]
pub struct Query(
    typ::TypQuery,
    modell::ModellQuery,
    hersteller::HerstellerQuery,
    benutzer::BenutzerQuery,
    rolle::RolleQuery,
);
