mod create_user;

use super::repository::Repository;
use crate::database::DB;

#[derive(Debug)]
pub struct Service {
    repo: Repository,
    pub db: DB,
}

impl Service {
    pub fn new(db: DB) -> Self {
        let repo = Repository::new();
        Self { repo, db }
    }
}
