use async_graphql::Object;

use crate::scalar::{Id, Time};

pub struct Gruppe {
    pub id: Id,
    pub gruppenname: String,

    pub erstellt_am: Time,
    pub geaendert_am: Time,
}

#[Object]
impl Gruppe {
    pub async fn id(&self) -> Id {
        self.id
    }

    pub async fn gruppenname(&self) -> &str {
        &self.gruppenname
    }

    pub async fn erstellt_am(&self) -> Time {
        self.erstellt_am
    }

    pub async fn geaendert_am(&self) -> Time {
        self.geaendert_am
    }
}
